Package com.io7m.idstore.server.http

# Class IdHTTPServletFunctional

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
com.io7m.idstore.server.http.IdHTTPServletFunctional

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `IdA1ServletCommand`, `IdA1ServletHealth`, `IdA1ServletLogin`, `IdA1ServletVersions`, `IdU1ServletCommand`, `IdU1ServletHealth`, `IdU1ServletLogin`, `IdU1ServletVersion`, `IdU1ServletVersions`, `IdUVCSS`, `IdUVEmailAdd`, `IdUVEmailAddRun`, `IdUVEmailRemoveRun`, `IdUVEmailVerificationDeny`, `IdUVEmailVerificationPermit`, `IdUVLogin`, `IdUVLogo`, `IdUVLogout`, `IdUVMain`, `IdUVMessage`, `IdUVPasswordReset`, `IdUVPasswordResetConfirm`, `IdUVPasswordResetConfirmRun`, `IdUVPasswordResetRun`, `IdUVPasswordUpdate`, `IdUVPasswordUpdateRun`, `IdUVRealnameUpdate`, `IdUVRealnameUpdateRun`

public abstract class IdHTTPServletFunctional extends jakarta.servlet.http.HttpServlet
A functional servlet.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPServletFunctional(IdHTTPServletFunctionalCoreType inCore)`
  A functional servlet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected final void`
  `service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response)`
  `final void`
  `service(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response)`

  ### Methods inherited from class jakarta.servlet.http.HttpServlet

  `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified`

  ### Methods inherited from class jakarta.servlet.GenericServlet

  `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IdHTTPServletFunctional

    public IdHTTPServletFunctional(IdHTTPServletFunctionalCoreType inCore)
    A functional servlet.
    Parameters:
      `inCore` - The functional core

- ## Method Details

  - ### service

    protected final void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response) throws jakarta.servlet.ServletException, IOException
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`

  - ### service

    public final void service(jakarta.servlet.ServletRequest request, jakarta.servlet.ServletResponse response) throws jakarta.servlet.ServletException, IOException
    Specified by:
      `service` in interface `jakarta.servlet.Servlet`
    Overrides:
      `service` in class `jakarta.servlet.http.HttpServlet`
    Throws:
      `jakarta.servlet.ServletException`
      `IOException`